Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 31/01/2013, à 23:22

sofi28

sudo apt-get remove php5-mysql aider moi

voila j'ai ce problem car le package php5-mysql ma poser bcp de problem donc je veux le desinstaller completement et recommencer a nouveau car j'ai desinstaller tous les autres packages et il ne veux pas se desintalller

 sudo apt-get remove php5-mysql 

et j'ai comme resultat

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  php5-mysql
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 267 ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? o
(Lecture de la base de données... 346190 fichiers et répertoires déjà installés.)
Suppression de php5-mysql ...
ls: impossible d'accéder à /etc/php5/conf.d/*.ini: Aucun fichier ou dossier de ce type
dpkg: erreur de traitement de php5-mysql (--remove) :
 le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 1
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Des erreurs ont été rencontrées pendant l'exécution :
 php5-mysql
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne

#2 Le 31/01/2013, à 23:44

lann

Re : sudo apt-get remove php5-mysql aider moi

Elle doit être la l'erreur :

ls: impossible d'accéder à /etc/php5/conf.d/*.ini: Aucun fichier ou dossier de ce type

En ligne

#3 Le 31/01/2013, à 23:48

sofi28

Re : sudo apt-get remove php5-mysql aider moi

alors qu'est ce que je doit faire pour corrige l'erreur

Hors ligne

#4 Le 01/02/2013, à 00:32

f.x0

Re : sudo apt-get remove php5-mysql aider moi

Bonjour sofi28,


Que donne ???

sudo apt-get -f remove php5-mysql 

SOPI

Hors ligne

#5 Le 01/02/2013, à 00:34

Baptiste61

Re : sudo apt-get remove php5-mysql aider moi

je pense qu'il a resolu...
j'ai donné la même solution tout desinstaller et tout reinsrtaller...


OS : Ubuntu 12.04.1 LTS
Processeur 64 bits : Intel® Core™ i5 CPU 650 @ 3.20GHz × 4
Memoire RAM : 3Go
Carte Graphique : AMD Radeon HD 6450

Hors ligne

#6 Le 01/02/2013, à 00:35

sofi28

Re : sudo apt-get remove php5-mysql aider moi

sudo apt-get -f remove php5-mysql
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  php5-mysql
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 267 ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? o
(Lecture de la base de données... 346190 fichiers et répertoires déjà installés.)
Suppression de php5-mysql ...
ls: impossible d'accéder à /etc/php5/conf.d/*.ini: Aucun fichier ou dossier de ce type
dpkg: erreur de traitement de php5-mysql (--remove) :
 le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 php5-mysql
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne

#7 Le 01/02/2013, à 00:39

Baptiste61

Re : sudo apt-get remove php5-mysql aider moi

sudo rm -Rf /etc/php5

as tu essayé ?
et tout reinstaller apres comme dans l'autre post ouvert ?


OS : Ubuntu 12.04.1 LTS
Processeur 64 bits : Intel® Core™ i5 CPU 650 @ 3.20GHz × 4
Memoire RAM : 3Go
Carte Graphique : AMD Radeon HD 6450

Hors ligne

#8 Le 01/02/2013, à 00:48

f.x0

Re : sudo apt-get remove php5-mysql aider moi

Postes le retour de

cat -n /var/lib/dpkg/status | grep "Package: php5-mysql"

Dernière modification par f.x0 (Le 01/02/2013, à 00:50)


SOPI

Hors ligne

#9 Le 01/02/2013, à 01:11

sofi28

Re : sudo apt-get remove php5-mysql aider moi

$ cat -n /var/lib/dpkg/status | grep "Package: php5-mysql"
  6269	Package: php5-mysqlnd
 47927	Package: php5-mysql

dzl pour le retardt je ne lai pas vue

Hors ligne

#10 Le 02/02/2013, à 12:41

tiramiseb

Re : sudo apt-get remove php5-mysql aider moi

lann a écrit :

Elle doit être la l'erreur :

ls: impossible d'accéder à /etc/php5/conf.d/*.ini: Aucun fichier ou dossier de ce type

Je suis d'accord à 100% et je m'étonne qu'aucune des réponses suivantes de continue sur cette piste...

alors qu'est ce que je doit faire pour corrige l'erreur

sudo mkdir -p /etc/php5/conf.d

As-tu supprimé les répertoires de configuration avant de tenter de supprimer les paquets ?
Ces répertoires font partie intégrante des paquets, il faut laisser le système de paquets les gérer.


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXème siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

Hors ligne

#11 Le 02/02/2013, à 13:10

f.x0

Re : sudo apt-get remove php5-mysql aider moi

Si les manips demandées par tiramiseb ne fonctionnent pas,
postes le retour ENTIER de cette commande :

cat -n /var/lib/dpkg/status | grep -w 6250 --after-context=40

postes également le retour ENTIER de cette commande :

cat -n /var/lib/dpkg/status | grep -w 47920 --after-context=40

SOPI

Hors ligne

#12 Le 02/02/2013, à 14:48

sofi28

Re : sudo apt-get remove php5-mysql aider moi

$ cat -n /var/lib/dpkg/status | grep -w 6250 --after-context=40
  6250	 password encryption function crypt(3).
  6251	Original-Maintainer: Marco d'Itri <md@linux.it>
  6252	
  6253	Package: nautilus-share
  6254	Status: install ok installed
  6255	Priority: optional
  6256	Section: gnome
  6257	Installed-Size: 128
  6258	Maintainer: Chow Loong Jin <hyperair@ubuntu.com>
  6259	Architecture: amd64
  6260	Version: 0.7.3-1ubuntu3
  6261	Depends: nautilus (>= 2.10), samba-common (>= 3.0.27a), samba-common-bin | samba-common (<< 2:3.4.0~pre2-1~0), gnome-session-bin, apturl, libc6 (>= 2.7), libglib2.0-0 (>= 2.24.0), libgtk-3-0 (>= 3.0.0), libnautilus-extension1a (>= 1:2.91)
  6262	Suggests: samba (>= 3.0.27a)
  6263	Enhances: nautilus
  6264	Description: Nautilus extension to share folder using Samba
  6265	 Nautilus Share allows you to quickly share a folder from
  6266	 the GNOME Nautilus file manager without requiring root access.
  6267	Homepage: http://gentoo.ovibes.net/nautilus-share/
  6268	
  6269	Package: php5-mysqlnd
  6270	Status: deinstall ok config-files
  6271	Priority: extra
  6272	Section: php
  6273	Installed-Size: 487
  6274	Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
  6275	Architecture: amd64
  6276	Source: php5
  6277	Version: 5.4.6-1ubuntu1.1
  6278	Config-Version: 5.4.6-1ubuntu1.1
  6279	Replaces: php5-mysql, php5-mysqli
  6280	Depends: libc6 (>= 2.15), phpapi-20100525, php5-common (= 5.4.6-1ubuntu1.1), ucf
  6281	Pre-Depends: dpkg (>= 1.15.7.2~)
  6282	Conflicts: php5-mysql, php5-mysqli
  6283	Description: MySQL module for php5 (Native Driver)
  6284	 This package provides modules for MySQL database connections directly from
  6285	 PHP scripts.  It includes the generic "mysql" module which can be used
  6286	 to connect to all versions of MySQL, an improved "mysqli" module for
  6287	 MySQL version 4.1 or later, and the pdo_mysql module for use with
  6288	 the PHP Data Object extension.
  6289	 .
  6290	 This package use the MySQL Native Driver.

Hors ligne

#13 Le 02/02/2013, à 14:49

sofi28

Re : sudo apt-get remove php5-mysql aider moi

$ cat -n /var/lib/dpkg/status | grep -w 6250 --after-context=40
  6250	 password encryption function crypt(3).
  6251	Original-Maintainer: Marco d'Itri <md@linux.it>
  6252	
  6253	Package: nautilus-share
  6254	Status: install ok installed
  6255	Priority: optional
  6256	Section: gnome
  6257	Installed-Size: 128
  6258	Maintainer: Chow Loong Jin <hyperair@ubuntu.com>
  6259	Architecture: amd64
  6260	Version: 0.7.3-1ubuntu3
  6261	Depends: nautilus (>= 2.10), samba-common (>= 3.0.27a), samba-common-bin | samba-common (<< 2:3.4.0~pre2-1~0), gnome-session-bin, apturl, libc6 (>= 2.7), libglib2.0-0 (>= 2.24.0), libgtk-3-0 (>= 3.0.0), libnautilus-extension1a (>= 1:2.91)
  6262	Suggests: samba (>= 3.0.27a)
  6263	Enhances: nautilus
  6264	Description: Nautilus extension to share folder using Samba
  6265	 Nautilus Share allows you to quickly share a folder from
  6266	 the GNOME Nautilus file manager without requiring root access.
  6267	Homepage: http://gentoo.ovibes.net/nautilus-share/
  6268	
  6269	Package: php5-mysqlnd
  6270	Status: deinstall ok config-files
  6271	Priority: extra
  6272	Section: php
  6273	Installed-Size: 487
  6274	Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
  6275	Architecture: amd64
  6276	Source: php5
  6277	Version: 5.4.6-1ubuntu1.1
  6278	Config-Version: 5.4.6-1ubuntu1.1
  6279	Replaces: php5-mysql, php5-mysqli
  6280	Depends: libc6 (>= 2.15), phpapi-20100525, php5-common (= 5.4.6-1ubuntu1.1), ucf
  6281	Pre-Depends: dpkg (>= 1.15.7.2~)
  6282	Conflicts: php5-mysql, php5-mysqli
  6283	Description: MySQL module for php5 (Native Driver)
  6284	 This package provides modules for MySQL database connections directly from
  6285	 PHP scripts.  It includes the generic "mysql" module which can be used
  6286	 to connect to all versions of MySQL, an improved "mysqli" module for
  6287	 MySQL version 4.1 or later, and the pdo_mysql module for use with
  6288	 the PHP Data Object extension.
  6289	 .
  6290	 This package use the MySQL Native Driver.
soufiane@soufiane-Satellite-C660:~$ cat -n /var/lib/dpkg/status | grep -w 47920 --after-context=40
 47920	Provides: python-deb822
 47921	Depends: python2.7, python (>= 2.7.1-0ubuntu2), python (<< 2.8), python-six, python-chardet
 47922	Recommends: python-apt
 47923	Suggests: gpgv
 47924	Conflicts: python-deb822
 47925	Description: Python modules to work with Debian-related data formats
 47926	 This package provides Python modules that abstract many formats of Debian
 47927	 related files. Currently handled are:
 47928	  * Debtags information (debian.debtags module)
 47929	  * debian/changelog (debian.changelog module)
 47930	  * Packages files, pdiffs (debian.debian_support module)
 47931	  * Control files of single or multiple RFC822-style paragraphs, e.g.
 47932	    debian/control, .changes, .dsc, Packages, Sources, Release, etc.
 47933	    (debian.deb822 module)
 47934	  * Raw .deb and .ar files, with (read-only) access to contained
 47935	    files and meta-information
 47936	Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 47937	
 47938	Package: xorg-docs-core
 47939	Status: install ok installed
 47940	Priority: optional
 47941	Section: doc
 47942	Installed-Size: 140
 47943	Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
 47944	Architecture: all
 47945	Source: xorg-docs
 47946	Version: 1:1.6-1ubuntu2
 47947	Replaces: xorg-docs (<< 1:1.4-5)
 47948	Suggests: xorg-docs
 47949	Description: Core documentation for the X.org X Window System
 47950	 This package contains core documentation for the X.org X Window
 47951	 System. This currently includes only a set of manpages which are
 47952	 standard for the system.
 47953	Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 47954	
 47955	Package: libgnome-bluetooth8
 47956	Status: install ok installed
 47957	Priority: optional
 47958	Section: libs
 47959	Installed-Size: 300
 47960	Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>

Hors ligne

#14 Le 02/02/2013, à 18:07

tiramiseb

Re : sudo apt-get remove php5-mysql aider moi

sofi28 : peux-tu explicitement confirmer que la manipulation que j'ai proposée ne change absolument rien au problème (même message d'erreur) ?


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXème siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

Hors ligne

#15 Le 02/02/2013, à 19:18

f.x0

Re : sudo apt-get remove php5-mysql aider moi

il y a un retour qui me surprend,
peux-tu poster le retour de

cat -n /var/lib/dpkg/status | grep -w php5-mysql --before-context=5 --after-context=40

pour la suite, attendons le résultat des commandes que tiramiseb demande,
il est probablement sur la bonne voie.


SOPI

Hors ligne

#16 Le 02/02/2013, à 21:31

benchacal

Re : sudo apt-get remove php5-mysql aider moi

et un:

 sudo apt-get remove --purge php5-mysql 

ne donne rien de plus?

Dernière modification par benchacal (Le 02/02/2013, à 21:32)

Hors ligne

Haut de page ↑